Try ERPNext Try Frappe Cloud Buy Support Partners Foundation

Error in saving stock reconciliation

when i try to submit the stock reconciliation report it not submitting, it just drafted.
here is the traceback :

    Traceback (most recent call last):
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/desk/form/save.py", line 19, in savedocs
doc.submit()
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/erpnext/erpnext/stock/doctype/stock_reconciliation/stock_reconciliation.py", line 432, in submit
self.submit()
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/model/document.py", line 851, in _submit
self.save()
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/model/document.py", line 272, in save
return self._save(*args, **kwargs)
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/model/document.py", line 328, in _save
self.run_post_save_methods()
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/model/document.py", line 925, in run_post_save_methods
self.run_method("on_submit")
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/model/document.py", line 790, in run_method
out = Document.hook(fn)(self, *args, **kwargs)
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/model/document.py", line 1061, in composer
return composed(self, method, *args, **kwargs)
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/model/document.py", line 1044, in runner
add_to_return_value(self, fn(self, *args, **kwargs))
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/model/document.py", line 784, in <lambda>
fn = lambda self, *args, **kwargs: getattr(self, method)(*args, **kwargs)
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/erpnext/erpnext/stock/doctype/stock_reconciliation/stock_reconciliation.py", line 39, in on_submit
self.update_stock_ledger()
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/erpnext/erpnext/stock/doctype/stock_reconciliation/stock_reconciliation.py", line 221, in update_stock_ledger
self.make_sl_entries(sl_entries)
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/erpnext/erpnext/controllers/stock_controller.py", line 264, in make_sl_entries
make_sl_entries(sl_entries, is_amended, allow_negative_stock, via_landed_cost_voucher)
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/erpnext/erpnext/stock/stock_ledger.py", line 40, in make_sl_entries
update_bin(args, allow_negative_stock, via_landed_cost_voucher)
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/erpnext/erpnext/stock/utils.py", line 147, in update_bin
bin.update_stock(args, allow_negative_stock, via_landed_cost_voucher)
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/erpnext/erpnext/stock/doctype/bin/bin.py", line 39, in update_stock
}, allow_negative_stock=allow_negative_stock, via_landed_cost_voucher=via_landed_cost_voucher)
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/erpnext/erpnext/stock/stock_ledger.py", line 109, in __init_ 
self.build()
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/erpnext/erpnext/stock/stock_ledger.py", line 121, in build
self.update_bin()
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/erpnext/erpnext/stock/stock_ledger.py", line 147, in update_bin
bin_doc.save(ignore_permissions=True)
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/model/document.py", line 272, in save
return self.save(*args, **kwargs)
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/model/document.py", line 311, in _save
self.run_before_save_methods()
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/model/document.py", line 892, in run_before_save_methods
self.run_method("before_save")
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/model/document.py", line 790, in run_method
out = Document.hook(fn)(self, *args, **kwargs)
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/model/document.py", line 1061, in composer
return composed(self, method, *args, **kwargs)
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/model/document.py", line 1044, in runner
add_to_return_value(self, fn(self, *args, **kwargs))
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/model/document.py", line 784, in <lambda>
fn = lambda self, *args, **kwargs: getattr(self, method)(*args, **kwargs)
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/erpnext/erpnext/stock/doctype/bin/bin.py", line 16, in before_save
item.save(ignore_permissions=True)
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/model/document.py", line 272, in save
return self._save(*args, **kwargs)
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/model/document.py", line 311, in _save
self.run_before_save_methods()
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/model/document.py", line 891, in run_before_save_methods
self.run_method("validate")
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/model/document.py", line 790, in run_method
out = Document.hook(fn)(self, *args, **kwargs)
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/model/document.py", line 1061, in composer
return composed(self, method, *args, **kwargs)
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/model/document.py", line 1044, in runner
add_to_return_value(self, fn(self, *args, **kwargs))
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/model/document.py", line 784, in <lambda>
fn = lambda self, *args, **kwargs: getattr(self, method)(*args, **kwargs)
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/erpnext/erpnext/stock/doctype/item/item.py", line 134, in validate
self.validate_barcode()
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/erpnext/erpnext/stock/doctype/item/item.py", line 603, in validate_barcode
item_barcode.barcode, duplicate[0][0]))
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/__init__.py", line 364, in throw
msgprint(msg, raise_exception=exc, title=title, indicator='red')
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/__init__.py", line 350, in msgprint
_raise_exception()
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/__init__.py", line 316, in _raise_exception
raise raise_exception(msg)
frappe.exceptions.ValidationError: Barcode 4545455 already used in Item STO-ITEM-2021-00016

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/app.py", line 61, in application
response = frappe.api.handle()
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/api.py", line 55, in handle
return frappe.handler.handle()
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/handler.py", line 22, in handle
data = execute_cmd(cmd)
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/handler.py", line 61, in execute_cmd
return frappe.call(method, **frappe.form_dict)
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/__init__.py", line 1042, in call
return fn(*args, **newargs)
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/desk/form/save.py", line 32, in savedocs
frappe.errprint(frappe.utils.get_traceback())
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/__init__.py", line 279, in errprint
print(msg)
BrokenPipeError: [Errno 32] Broken pipe

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/middlewares.py", line 15, in __call_ 
return super(StaticDataMiddleware, self)._call__(environ, start_response)
File "/home/ec2-user/frappeWorkbench/frappe-bench/env/lib/python3.6/site-packages/werkzeug/middleware/shared_data.py", line 227, in __call_ 
return self.app(environ, start_response)
File "/home/ec2-user/frappeWorkbench/frappe-bench/env/lib/python3.6/site-packages/werkzeug/middleware/shared_data.py", line 227, in _call_ 
return self.app(environ, start_response)
File "/home/ec2-user/frappeWorkbench/frappe-bench/env/lib/python3.6/site-packages/werkzeug/local.py", line 231, in application
return ClosingIterator(app(environ, start_response), self.cleanup)
File "/home/ec2-user/frappeWorkbench/frappe-bench/env/lib/python3.6/site-packages/werkzeug/wrappers/base_request.py", line 235, in application
resp = f(*args[:-2] + (request,))
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/app.py", line 82, in application
response = handle_exception(e)
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/app.py", line 147, in handle_exception
response = frappe.utils.response.report_error(http_status_code)
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/utils/response.py", line 32, in report_error
frappe.errprint(frappe.utils.get_traceback())
File "/home/ec2-user/frappeWorkbench/frappe-bench/apps/frappe/frappe/__init__.py", line 279, in errprint
print(msg)
BrokenPipeError: [Errno 32] Broken pipe

I can see in your traceback one message ‘Barcode 4545455 already used in Item STO-ITEM-2021-00016’.

Check 2 items have the same barcode.

Are your scheduled Jobs running ?